antiprism-0.23
Up Next

# unitile2d - make uniform tilings on a surface

Usage | Examples | Notes

## Usage

    Usage: unitile2d [options] [pattern]

    Makes uniform tilings on a surface. Surfaces include plane or cylinder
    section, torus, Klein bottle, and many others.
    Patterns are (default: 1)
       1 - 4,4,4,4      {4,4}    5 - 3,3,3,4,4      9  - 4,8,8
       2 - 3,3,3,3,3,3  {3,6}    6 - 3,3,4,3,4      10 - 3,4,6,4
       3 - 6,6,6        {6,3}    7 - 3,3,3,3,6      11 - 4,6,12
       4 - 3,6,3,6               8 - 3,12,12

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -s <type> surface type:
            p - plane (default)
            c - conical frustum (-R bottom radius, -r top radius, -d height,
                -T X,Y,0)
            m - mobius strip (-R ring radius, -r strip width, -T X,0,0)
            t - torus (-R ring radius, -r tube radius. -T X,Y,0)
            k - Klein bottle (-r tube radius, -T X,0,0)
            K - figure-8 Klein bottle (-R ring radius, -r tube radius, -T X,0,0)
            C - cross-cap (needs tile vertices at tiling rectangle corners)
            w - cross-cap (does not preserve tiling, only works with pattern 1!)
            r - Roman (does not preserve tiling)
            b - Boy's (does not presere tiling)
            R - Roman to Boy's (-d stage of tansformation, range 0.0-1.0
                does not preserve tiling
            x - 4D torus (-W rotatation in 4D before projection onto xyz, -T X,Y,0
            y - 4D Klein bottle (-W rotatation in 4D before projection onto xyz)
      -w <wdth> width of tiling (default: 20)
      -l <ht>   height of tiling (default: width)
      -g        use given height and width, don't increase to make
                rectangular tile
      -r <rad>  'minor' radius of surface
      -R <rad>  'major' radius of surface
      -d <dist> distance (height of conic frustrum)
      -T <tran> translate pattern, three numbers separated by commas which are
                used as the x, y and z displacements
      -S <X,Y>  "shear" the base rectangular tiling pattern by X units in the
                w direction and Y units in the l direction (used with -s t)
      -W <rot>  rotation of 4D surface before projection, six angles
                separated by commas to rotate in planes xy,yz,zw,wx,xz,yw
      -o <file> write output to file (default: write to standard output)

## Examples

Display a chunky figure-8 Klein bottle

    unitile2d -s K -R 1.5 6 | off_color -f N -s 5 | antiview

Display the Roman surface, using a larger number of tiles

    unitile2d -s r -l 40 -w 40 9 | off_color -f N -s 2 | antiview

## Notes

This program is work in progress, and may change considerably in future releases.

If a pattern doesn't mesh on a surface you may have to change options -l or -w slightly. Pattern 7 won't mesh on any non-orientable surface. Using values for option -T which are inappropriate for a particular surface may cause the tiling not to mesh.

Some of the projective plane surfaces don't preserve the tiling as they map a line of the tiling rectangle onto a single point of the surface.

Unused options are silently ignored.

Up: Programs and Documentation
Next: string_art - string figures